from sqlalchemy import BigInteger, String, Column, DateTime
from config.database import Base


class RobotRole(Base):
    """
    系统角色表
    """

    __tablename__ = 'robot_role'

    robot_role_id = Column(BigInteger, primary_key=True, autoincrement=True, nullable=False, comment='机器人角色ID')
    rolename = Column(String(32), nullable=False, comment='角色名称')
    detail = Column(String(512), nullable=True, comment='角色介绍')
    create_time = Column(DateTime, nullable=False, comment='创建时间')
    create_by = Column(String(64), nullable=False, comment='创建者')
    update_time = Column(DateTime, nullable=False, comment='修改时间')
    update_by = Column(String(64), nullable=False, comment='修改者')
    remark = Column(String(512), nullable=True, comment='备注')



